#image: "/ces/cerner-fhir-adapter"
language: java
buildTool: skaffold-maven # skaffold-maven, helm-maven
imageTool: skaffold # skaffold, jib, docker
moduleDir: . # service module directory. If not a multi-module project, use '.'
mavenBuildCommand: mvn install
enableVV: false
enableSonar: false
sonarMainBranchOnly: false
enableQualityGate: true
#sonarReportUrl: 'coderepo.mobilehealth.va.gov/scm/ckm/quality-reports.git'
sonarReportBranch: 'master'
enableManualDeploy: false
enableAutoDeploy: false
enableSlackNotifications: false
slackChannel: ckmbuild
#vvReportUrl: 'coderepo.mobilehealth.va.gov/scm/ckm/vv-reports.git'
publishSnapshots: false
checkImageExists: false
cacheKeyEnabled: false
#jiraProject: CKM
enableOisScan: false
mavenDeployOptsRelease: '-DaltDeploymentRepository=ckm-releases::default::https://nexus.mobilehealth.va.gov/content/repositories/ckm-releases'
mavenDeployOptsSnapshot: '-DaltDeploymentRepository=ckm-snapshots::default::https://nexus.mobilehealth.va.gov/content/repositories/ckm-snapshots'
deferCodeQLInit: false
buildCommandForCodeQL: 'mvn clean install --batch-mode -Dmaven.test.skip -DskipAll -Dhelm.skip -Ddocker.skip -Djib.skip -Djacoco.skip=true -Djacoco.dump.skip=true -Pjenkins,jenkins-sandbox'
enableTagRelease: false
enableFlexline: false

sandbox:
  periodicBuild:
    branch: main
    cron: '@weekly'
  branchesToPushImageRegex: '(?i)(release/.*)'
  deployNamespace: default
  ignoreFlexlineFailure: false

staging: # staging/sqa build environment overrides
  enableSlackNotifications: true
  checkImageExists: true
  slackFailureChannel: ckmbuildfailures
  branchesToPushImageRegex: '(?i)release/.+'
  deferCodeQLInit: true

prod: # prod build environment overrides
  skip: true